use memmap2::{MmapMut, Mmap};
use crate::pe_parse::pe::{
    ReadOnlyPE,
    MutablePE
};
pub mod file;

// 为文件映射实现PE结构
impl ReadOnlyPE for Mmap {}

impl ReadOnlyPE for MmapMut {}
// 为可变文件映射实现可操作PE结构
impl MutablePE for MmapMut {}
